{
  lib,
  stdenv,
  cmake,
  kdePackages,
}:

stdenv.mkDerivation {
  pname = "native";
  version = "0.1";

  src = ../native;

  buildInputs = [ kdePackages.qtbase kdePackages.qtdeclarative kdePackages.qtmultimedia ];

  nativeBuildInputs = [ cmake kdePackages.wrapQtAppsHook ];

  meta = {
    maintainers = with lib.maintainers; [ jopejoe1 ];
    mainProgram = "alisa";
    platforms = lib.platforms.all;
  };
}
